Bug 2086338 - Gnuradio Companion doesn't start.
Summary: Gnuradio Companion doesn't start.
Keywords:
Status: CLOSED DUPLICATE of bug 2084111
Alias: None
Product: Fedora
Classification: Fedora
Component: gnuradio
Version: 36
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-15 19:30 UTC by Francesco Chirico
Modified: 2022-05-16 09:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-16 09:07:06 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Francesco Chirico 2022-05-15 19:30:45 UTC
Description of problem:
When I start gnuradio-companion from bash I obtain an error message (ImportError).
It seems that a library on which gnuradio-companion depends misses one or more symbols.



Version-Release number of selected component (if applicable):
gnuradio-3.10.1.0-1.fc36.x86_64


How reproducible:


Steps to Reproduce:
1. Login in a gnome session
2. Open a terminal
3. type "gnuradio-companion"
You should now see the ImportError message
4. Type ctrl-c in the terminal.
You should now see the error message in the console

Actual results:
Traceback (most recent call last):
  File "/usr/lib64/python3.10/site-packages/gnuradio/gr/__init__.py", line 26, in <module>
    from .gr_python import *
ImportError: /lib64/libgnuradio-runtime.so.3.10.1: undefined symbol: _ZN6spdlog5sinks15basic_file_sinkINS_7details10null_mutexEEC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnuradio-companion", line 74, in check_gnuradio_import
    from gnuradio import gr
  File "/usr/lib64/python3.10/site-packages/gnuradio/gr/__init__.py", line 30, in <module>
    from .gr_python import *
ImportError: /lib64/libgnuradio-runtime.so.3.10.1: undefined symbol: _ZN6spdlog5sinks15basic_file_sinkINS_7details10null_mutexEEC1ERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEb

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/gnuradio-companion", line 100, in <module>
    check_gnuradio_import()
  File "/usr/bin/gnuradio-companion", line 76, in check_gnuradio_import
    die(err, GR_IMPORT_ERROR_MESSAGE)
  File "/usr/bin/gnuradio-companion", line 38, in die
    d.run()
  File "/usr/lib/python3.10/site-packages/gi/overrides/Gtk.py", line 583, in run
    with register_sigint_fallback(self.destroy):
  File "/usr/lib64/python3.10/contextlib.py", line 142, in __exit__
    next(self.gen)
  File "/usr/lib64/python3.10/site-packages/gi/_ossighelper.py", line 237, in register_sigint_fallback
    signal.default_int_handler(signal.SIGINT, None)
KeyboardInterrupt

Expected results:
gnuradio-companion window opens.

Additional info:

Comment 1 Jaroslav Škarvada 2022-05-16 09:07:06 UTC

*** This bug has been marked as a duplicate of bug 2084111 ***


Note You need to log in before you can comment on or make changes to this bug.